header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 80px;
    background: #f5f5f5;
    padding: 20px 40px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0 15px 15px rgba(0, 0, 0, 0.05);
}

.logo img {
    width: 44px;
    height: 44px;
}

.group {
    display: flex;
    align-items: center;
}

header ul {
    gap: 30px;
    display: flex;
    position: relative;
}

header ul li {
    list-style: none;
}

header ul li a {
    position: relative;
    text-decoration: none;
    font-size: 0.9em;
    color: #4682B4;
    text-transform: uppercase;
    letter-spacing: 0.2em;
    font-weight: bold;
    font-family: 'Montserrat', sans-serif;
}

header ul li a::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 2px;
    background: #4682B4;
    bottom: -2px;
    transform: scaleX(0);
    transition: transform 0.5s ease-in-out;
    transform-origin: right;
}

header ul li a:hover:before {
    transform: scaleX(1);
    transform-origin: left;
}

header .search {
    display: flex;
    position: relative;
    justify-content: center;
    align-items: center;
    font-size: 1.2em;
    cursor: pointer;
    z-index: 10;
    color: #4682B4;
}

.searchBox {
    position: absolute;
    right: 100%;
    width: 100%;
    height: 100%;
    display: flex;
    background: #f5f5f5;
    align-items: center;
    padding: 0 30px;
    transition: 0.5s ease-in-out;
}

.searchBox.active {
    right: 0;
}

.searchBox input {
    width: 100%;
    border: none;
    outline: none;
    height: 50px;
    color: #4682B4;
    font-size: 1.25em;
    background: #f5f5f5;
    border-bottom: 1px solid #4682B4;
}

.searchBox input::placeholder {
    color: #999;
}

.searchBtn {
    position: relative;
    left: 20px;
    top: 1px;
    transition: 0.5s ease-in-out;
}

.searchBtn.active {
    left: -6px;
}

.closeBtn {
    opacity: 0;
    visibility: hidden;
    transition: 0.5s;
    scale: 0;
}

.closeBtn.active {
    opacity: 1;
    visibility: visible;
    transition: 0.5s;
    scale: 1;
}

.menuToggle {
    position: relative;
    display: none;
    color: #4682B4;
}